> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/classes/light.md).

# Light

Light : `Instance`

## Overview

SpotLight, PointLight와 같은 조명 효과 인스턴스의 기본 클래스입니다.

## Properties

### Brightness

`number`

조명의 밝기를 설정하는 속성입니다.

#### Code Samples

```lua
PointLight.Brightness = 5000
```

### Color

`Color3`

조명의 색상을 설정하는 속성입니다.

#### Code Samples

```lua
PointLight.Color = Color3.fromRGB(255, 0, 0)
```

### Enabled

`boolean`

조명의 활성화 여부를 설정하는 속성입니다.

#### Code Samples

```lua
PointLight.Enabled = false
```

## Methods

## Events

## See also

{% content-ref url="/pages/cGsZavn2X2duf7ngJaV6" %}
[조명](/korean/manual/studio-manual/object/lighting.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/light.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
